List project template reference files
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"filename": "<string>",
"id": "<string>",
"note": "<string>",
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Reference File
List project template reference files
Accessible by Administrator, Project Manager, Guest, and Linguist roles. The filename parameter filters by substring match. The createdBy field in each result is null when the creator belongs to a different organization.
GET
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
references
List project template reference files
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Query Parameters
Filename substring filter
Page number, starting at 0
Required range:
x >= 0Page size, 1–50
Required range:
1 <= x <= 50Available options:
ID, FILENAME, DATE_CREATED, CREATED_BY Available options:
ASC, DESC Was this page helpful?